<template>
  <div class="app">
    <vue-headful
            title="Home"
            description="Descripción página Home"
        />
        <section>
          <inboxdoctorid v-if="isPatientOrDoctor === 'doctor'" v-on:sendReplyEmit="getDoctors"  :doctores="doctorsAPI"/>
          <inboxpatientid v-if="isPatientOrDoctor === 'normal'" v-on:sendStarEmit="getMailPatient"  :doctores="doctorsAPI"/>
        </section>
    </div>
</template>

<script>
import axios from 'axios';
import inboxdoctorid from '@/components/InboxDoctorID.vue';
import inboxpatientid from '@/components/InboxPatientID.vue';

import Swal from 'sweetalert2';

import { getAuthToken } from '../../../backend/utils/utils'
import { getIsAdmin } from '../../../backend/utils/utils'

export default {
  name: 'Home',
// inicio data
  data(){
    return{
      doctorsAPI: [],
      isPatientOrDoctor: getIsAdmin()
    };
  },
// FIN DATA
// inicio components
  components: {
    inboxdoctorid,
    inboxpatientid
    },
// FIN COMPONENTS
// inicio methods
  methods: {
      
    // FUNCIÓN CONTESTAR CONSULTA
    getDoctors(reply){
      var self = this;
      const id_mess = this.$route.params.id_mess; // recibimos el id de la pagina
      // LLAMADA DE AXIOS AL BACKEND
      axios.post(`http://localhost:3050/inbox/${id_mess}`, {reply}, {
        headers:{
            Authorization: getAuthToken()
               }
            })
      .then( function(response) {
          console.log(response)

                  
        self.doctorsAPI = response
        self.usersIdAPI = response

      })
      .catch( function (error) {
        // console.log(error)
        
      })
    },
      // FUNCIÓN EVALUAR RESPUESTA CONSULTA
    getMailPatient(star){
      var self = this;
      const id_mess = this.$route.params.id_mess; // recibimos el id de la pagina

      // LLAMADA DE AXIOS AL BACKEND
      axios.post(`http://localhost:3050/inbox/${id_mess}`, {star}, {
        headers:{
            Authorization: getAuthToken()
               }
            })
      .then( function(response) {
         Swal.fire({
                          title: 'Muchas gracias!!! ',
                          text: "Tu evaluación nos sirve para seguir mejorando",
                          button: "Cerrar", // Text on button
                          icon: "success", //built in icons: success, warning, error, info
                          timer: 5000 //timeOut for auto-close
                      })

        self.doctorsAPI = response
        self.usersIdAPI = response

      })
      .catch( function (error) {
        // console.log(error)
        
      })
    },
  },
  // FIN METHODS
  // inicio created
  created() {
    this.getDoctors()

  }
  // FIN CREATED

}
</script>








<style scoped>

ul {
    text-align: left; 
    list-style: none;
         display:inline;

    }

li{
    display:inline;
    padding-left:3px;
    padding-right:3px;
    background-color:red;

    }

.title {
  text-align: center;
}

.item2 {
  grid-area: b;
}
.centrado{
  text-align: center;
  width: 400px;
}

input{
  padding:8px;
  display:block;
  border:none;
  border-bottom:1px solid #ccc;
  width:400px;
  }

.button {
    background-color: orangered; 
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    margin-bottom: 100px;
}

</style>